## lm-sensors 2.9.2

=== Makefile ===
--- 
+++ 
@@ -85,6 +85,16 @@
 # The magic invocation will return something like this:
 #   /lib/modules/2.4.29
 MODPREF := /lib/modules/$(shell $(CC) -I$(LINUX_HEADERS) -E etc/config.c | grep uts_release |cut -f 2 -d'"')
+
+# Prevent 2.6+ users from using improper targets, as this won't work.
+ifeq (,$(findstring /2.4., $(MODPREF)))
+    ifeq (, $(MAKECMDGOALS))
+        $(error For 2.6 kernels and later, use "make user")
+    endif
+    ifeq (install, $(MAKECMDGOALS))
+        $(error For 2.6 kernels and later, use "make user_install")
+    endif
+endif
 
 # This is the directory where sensors.conf will be installed, if no other
 # configuration file is found
@@ -310,7 +320,7 @@
 	$(RM) lm_sensors-*
 
 user_uninstall::
-	
+
 uninstall :: user_uninstall
 	@echo "*** Note:"
 	@echo "***  * Kernel modules were not uninstalled."
@@ -329,11 +339,3 @@
 	                            tar rvf $$lmpackage.tar -T -; \
         gzip -9 $$lmpackage.tar ;\
         $(RM) $$lmpackage.tar $$lmpackage
-	cat doc/developers/checklist
-
-# doesn't work well yet... needs Makefile changes too
-userpackage: version clean $(KERNELINCLUDEDIR)/sensors.h
-	lmversion=`tail -1 version.h|cut -f 2 -d \"`; \
-	lmpackage=lm_sensors-user-$$lmversion; \
-	ln -s . $$lmpackage;  \
-	find $$lmpackage/ -type f | grep -v ^$$lmpackage/$$lmpackage$$ | \
