## lm-sensors 2.10.1

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,9 @@
 # Everything you may want to change is in the top of this file. Usually, you
 # can just use the defaults, fortunately.
 
-# You need a full complement of GNU utilities to run this Makefile succesfully;
-# most notably, you need bash, GNU make, flex (>= 2.5.1) and bison.
+# You need a full complement of GNU utilities to run this Makefile
+# successfully; most notably, you need bash, GNU make, flex (>= 2.5.1)
+# and bison.
 
 # If your /bin/sh is not bash, change the below definition so that make can
 # find bash. Or you can hope your sh-like shell understands all scripts.
@@ -47,18 +48,16 @@
 I2C_HEADERS := /usr/local/include
 #I2C_HEADERS := $(LINUX_HEADERS)
 
-# Uncomment the third line on SMP systems if the magic invocation fails.
+ifneq ($(MAKECMDGOALS),user)
+ifneq ($(MAKECMDGOALS),user_install)
+ifneq ($(MAKECMDGOALS),user_uninstall)
 SMP := $(shell if grep -q '^[[:space:]]*\#define[[:space:]]*CONFIG_SMP[[:space:]]*1' $(LINUX_HEADERS)/linux/autoconf.h ; \
                then echo 1; else echo 0; fi)
-#SMP := 0
-#SMP := 1
-
-# Uncomment the second or third line if the magic invocation fails.
-# We need to know whether CONFIG_MODVERSIONS is defined.
 MODVER := $(shell if grep -q '^[[:space:]]*\#define[[:space:]]*CONFIG_MODVERSIONS[[:space:]]*1' $(LINUX_HEADERS)/linux/autoconf.h ; \
                   then echo 1; else echo 0; fi)
-#MODVER := 0
-#MODVER := 1
+endif
+endif
+endif
 
 # Uncomment the second line if you are a developer. This will enable many
 # additional warnings at compile-time
@@ -84,7 +83,21 @@
 # This is the main modules directory into which the modules will be installed.
 # The magic invocation will return something like this:
 #   /lib/modules/2.4.29
-MODPREF := /lib/modules/$(shell $(CC) -I$(LINUX_HEADERS) -E etc/config.c | grep uts_release |cut -f 2 -d'"')
+KERNELVERSION := $(shell $(CC) -I$(LINUX_HEADERS) -E etc/config.c | grep uts_release | cut -f 2 -d'"')
+MODPREF := /lib/modules/$(KERNELVERSION)
+
+# When building userspace for use with 2.4.x series kernels, we turn off
+# sysfs support by default.  You can override this (e.g. if you want
+# to build binaries that work for both 2.4.x, and 2.6.x and above)
+# by uncommenting the line after the next endif.  Keep in mind, if and only
+# if you do this: you will need to install the libsysfs libraries on your
+# kernel 2.4.x systems also.
+ifeq (,$(findstring /2.4., $(MODPREF)))
+	SYSFS_SUPPORT := 1
+else
+	SYSFS_SUPPORT :=
+endif
+#SYSFS_SUPPORT := 1
 
 # Prevent 2.6+ users from using improper targets, as this won't work.
 ifeq (,$(findstring /2.4., $(MODPREF)))
@@ -206,7 +219,7 @@
 endif
 
 ifeq ($(WARN),1)
-ALL_CFLAGS += -W -Wstrict-prototypes -Wshadow -Wpointer-arith -Wcast-qual \
+ALL_CFLAGS += -Wstrict-prototypes -Wshadow -Wpointer-arith -Wcast-qual \
             -Wcast-align -Wwrite-strings -Wnested-externs -Winline
 endif
 
@@ -254,14 +267,20 @@
 
 MODCPPFLAGS += -D__KERNEL__ -DMODULE -DEXPORT_SYMTAB -fomit-frame-pointer $(ALL_CPPFLAGS) -I$(LINUX_HEADERS) $(kbuild_2_4_nostdinc)
 MODCFLAGS += $(ALL_CFLAGS)
-PROGCPPFLAGS := -DETCDIR="\"$(ETCDIR)\"" $(ALL_CPPFLAGS)
+PROGCPPFLAGS := -DETCDIR="\"$(ETCDIR)\"" $(ALL_CPPFLAGS) -Wundef
 PROGCFLAGS := $(ALL_CFLAGS)
 ARCPPFLAGS := $(ALL_CPPFLAGS)
+ifdef SYSFS_SUPPORT
+ARCPPFLAGS := $(ARCPPFLAGS) -DSYSFS_SUPPORT
+endif
 ARCFLAGS := $(ALL_CFLAGS)
 LIBCPPFLAGS := $(ALL_CPPFLAGS)
+ifdef SYSFS_SUPPORT
+LIBCPPFLAGS := $(LIBCPPFLAGS) -DSYSFS_SUPPORT
+endif
 LIBCFLAGS := -fpic $(ALL_CFLAGS)
 
-.PHONY: all clean install version package dep
+.PHONY: all user clean install user_install uninstall user_uninstall version package
 
 # Make all the default rule
 all::
@@ -286,9 +305,6 @@
 # Man pages
 MANPAGES := $(LIBMAN3FILES) $(LIBMAN5FILES) $(PROGDETECTMAN8FILES) $(PROGDUMPMAN8FILES) \
             $(PROGSENSORSMAN1FILES) $(PROGPWMMAN8FILES) prog/sensord/sensord.8
-
-# Making the dependency files - done automatically!
-dep : 
 
 user ::
 user_install::
@@ -302,7 +318,9 @@
 all :: user
 install :: all user_install
 ifeq ($(DESTDIR),)
-	-/sbin/depmod -a
+	-if [ -r $(MODPREF)/build/System.map -a -x /sbin/depmod ] ; then \
+	  /sbin/depmod -a -F $(MODPREF)/build/System.map $(KERNELVERSION) ; \
+	fi
 else
 	@echo "*** This is a \`staged' install using \"$(DESTDIR)\" as prefix."
 	@echo "***"
@@ -325,17 +343,3 @@
 	@echo "*** Note:"
 	@echo "***  * Kernel modules were not uninstalled."
 
-# This is tricky, but it works like a charm. It needs lots of utilities
-# though: cut, find, gzip, ln, tail and tar.
-package: version clean
-	lmversion=`tail -1 version.h|cut -f 2 -d \"`; \
-	lmpackage=lm_sensors-$$lmversion; \
-	ln -s . $$lmpackage;  \
-	find $$lmpackage/ -type f | grep -v ^$$lmpackage/$$lmpackage$$ | \
-	                            grep -v ^$$lmpackage/$$lmpackage.tar$$ | \
-	                            grep -v ^$$lmpackage/$$ | \
-	                            grep -v /CVS | \
-	                            grep -v /\\.# | \
-	                            tar rvf $$lmpackage.tar -T -; \
-        gzip -9 $$lmpackage.tar ;\
-        $(RM) $$lmpackage.tar $$lmpackage
