## lm-sensors 2.10.5

=== Makefile ===
--- 
+++ 
@@ -83,8 +83,10 @@
 # This is the main modules directory into which the modules will be installed.
 # The magic invocation will return something like this:
 #   /lib/modules/2.4.29
-KERNELVERSION := $(shell $(CC) -I$(LINUX_HEADERS) -E etc/config.c | grep uts_release | cut -f 2 -d'"')
-MODPREF := /lib/modules/$(KERNELVERSION)
+ifneq (,$(findstring /2.4., /$(KERNELVERSION)))
+	UTSRELEASE := $(shell $(CC) -I$(LINUX_HEADERS) -E etc/config.c | grep uts_release | cut -f 2 -d'"')
+	MODPREF := /lib/modules/$(UTSRELEASE)
+endif
 
 # When building userspace for use with 2.4.x series kernels, we turn off
 # sysfs support by default.  You can override this (e.g. if you want
@@ -92,7 +94,7 @@
 # by uncommenting the line after the next endif.  Keep in mind, if and only
 # if you do this: you will need to install the libsysfs libraries on your
 # kernel 2.4.x systems also.
-ifeq (,$(findstring /2.4., $(MODPREF)))
+ifeq (,$(findstring /2.4., /$(KERNELVERSION)))
 	SYSFS_SUPPORT := 1
 else
 	SYSFS_SUPPORT :=
@@ -100,7 +102,7 @@
 #SYSFS_SUPPORT := 1
 
 # Prevent 2.6+ users from using improper targets, as this won't work.
-ifeq (,$(findstring /2.4., $(MODPREF)))
+ifeq (,$(findstring /2.4., /$(KERNELVERSION)))
     ifeq (, $(MAKECMDGOALS))
         $(error For 2.6 kernels and later, use "make user")
     endif
@@ -132,7 +134,7 @@
 # You should not need to change this. It is the basic directory into which
 # include files will be installed. The actual directory will be 
 # $(INCLUDEDIR)/linux for system include files, and $(INCLUDEDIR)/sensors
-# for library include files. If PREFIX equals the default /usr/local/bin,
+# for library include files. If PREFIX equals the default /usr/local,
 # you will be able to use '#include <linux/sensors.h>' regardless of the
 # current kernel selected.
 INCLUDEDIR := $(PREFIX)/include
@@ -177,7 +179,7 @@
 ifneq ($(MAKECMDGOALS),userpackage)
 ifneq ($(MAKECMDGOALS),manhtml)
 SRCDIRS += mkpatch
-SRCDIRS += kernel kernel/busses kernel/chips
+SRCDIRS += kernel/busses kernel/chips
 endif
 endif
 endif
@@ -187,6 +189,7 @@
 SRCDIRS += kernel/include
 SRCDIRS += lib prog/detect prog/dump prog/eeprom prog/pwm \
            prog/sensors prog/xeon ${PROG_EXTRA:%=prog/%} etc
+SRCDIRS += lib/test
 
 # Some often-used commands with default options
 MKDIR := mkdir -p
@@ -278,7 +281,7 @@
 ifdef SYSFS_SUPPORT
 LIBCPPFLAGS := $(LIBCPPFLAGS) -DSYSFS_SUPPORT
 endif
-LIBCFLAGS := -fpic $(ALL_CFLAGS)
+LIBCFLAGS := -fpic -D_REENTRANT $(ALL_CFLAGS)
 
 .PHONY: all user clean install user_install uninstall user_uninstall version package
 
@@ -319,7 +322,7 @@
 install :: all user_install
 ifeq ($(DESTDIR),)
 	-if [ -r $(MODPREF)/build/System.map -a -x /sbin/depmod ] ; then \
-	  /sbin/depmod -a -F $(MODPREF)/build/System.map $(KERNELVERSION) ; \
+	  /sbin/depmod -a -F $(MODPREF)/build/System.map $(UTSRELEASE) ; \
 	fi
 else
 	@echo "*** This is a \`staged' install using \"$(DESTDIR)\" as prefix."
@@ -335,11 +338,7 @@
 endif
 
 clean::
-	$(RM) lm_sensors-*
+	$(RM) lm_sensors-* lex.backup
 
 user_uninstall::
 
-uninstall :: user_uninstall
-	@echo "*** Note:"
-	@echo "***  * Kernel modules were not uninstalled."
-
