## lm-sensors 3.3.0

=== debian/changelog ===
lm-sensors (1:3.3.0-4ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. (LP: #808769) Remaining changes:
    - Add 100_recommend_using_upstart.patch: Recommend use of upstart rather
      than init-script.

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 17 Jul 2011 13:27:11 -0500

lm-sensors (1:3.3.0-4) unstable; urgency=low

  * Rename source package to lm-sensors now that the version 2 is gone.
  * Add patch from upstream to support 2 digits kernel version (closes: 
    #630508).
  * Convert to multiarch:
    - Bump debhelper build-dep to >= 8.1.3 for multiarch.
    - Add Pre-Depends: ${misc:Pre-Depends} to libsensors4 and set it
    Multi-Arch: same.
    - Install the library in the multiarch path.
  * Add build-arch and build-indep targets. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 20 Jun 2011 21:25:57 +0200

lm-sensors-3 (1:3.3.0-3) unstable; urgency=low

  * Correctly detect udev in sensors-detect (closes: #628228). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 04 Jun 2011 22:42:37 +0200

lm-sensors-3 (1:3.3.0-2) unstable; urgency=low

  * Avoid printing a warning if ucf is not available (closes: #626402). 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 11 May 2011 20:02:23 +0200

lm-sensors-3 (1:3.3.0-1) unstable; urgency=low

  * New upstream version:
    - refresh all patches.
    - update 12-upstream-patches.patch with upstream recommended patches.
    - update symbols file, now that upstream only export symbols of the 
      public API. Hope it won't break anything, otherwise we should go 
      through a soname bump and a transition.
  * Remove old fancontrol links in postinst (closes: bug#612231).
  * Bumped Standards-version to 3.9.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 09 Apr 2011 15:19:33 +0200

lm-sensors-3 (1:3.2.0-1ubuntu3) oneiric; urgency=low

  * fix sensors-detect won't recognize 3.0 kernel fix to handle
    older versions correctly.  (LP: #797001)

 -- Andy Whitcroft <apw@canonical.com>  Fri, 17 Jun 2011 16:01:05 +0100

lm-sensors-3 (1:3.2.0-1ubuntu2) oneiric; urgency=low

  * fix LP: #797001 - sensors-detect won't recognize 3.0 kernel
    - add debian/patches/101_detect_3_0_kernel_version.patch
    - update debian/patches/series

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 13 Jun 2011 23:04:24 -0500

lm-sensors-3 (1:3.2.0-1ubuntu1) natty; urgency=low

  * Add 100_recommend_using_upstart.patch: Recommend use of upstart rather
    than init-script. (Thanks Michael Basse)
    (LP: #741338)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 04 Apr 2011 11:39:13 -0700

lm-sensors-3 (1:3.2.0-1) unstable; urgency=low

  * New upstream version.
  * Suggests fancontrol instead of recommending it in lm-sensors (closes:
    bug#567185).
  * Suggests lm-sensors instead of recommending it in libsensors4 (closes:
    bug#602914).
  * Suggests rrdtool in sensord (closes: bug#588132).
  * Detect SMSC SCH5524-NS chip (closes: bug#588355).
  * Bumped Standards-version to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Feb 2011 14:46:28 +0100

lm-sensors-3 (1:3.1.2-6) unstable; urgency=low

  * Fix return value in fancontrol --check (closes: bug#583216). 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 26 May 2010 19:17:40 +0200

lm-sensors-3 (1:3.1.2-5) unstable; urgency=low

  * Use the --check option in both the initscript and the fancontrol
    script (closes: bug#582979).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 26 May 2010 11:15:17 +0200

lm-sensors-3 (1:3.1.2-4) unstable; urgency=low

  * Check /etc/fancontrol before starting the daemon (closes:
    bug#582979).
  * Add a README.Debian in lm-sensors package. (closes: bug#576932).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 25 May 2010 11:33:23 +0200

lm-sensors-3 (1:3.1.2-3) unstable; urgency=medium

  * Add 09-sensord-multiple-chips.diff from upstream to fix multiple
    chip support in sensord (closes: bug#581036).
  * Fix error message in lm-sensors init script (closes: bug#581350).
  * Remove /etc/rc1.d/K20sensord on upgrade (closes: bug#573898). 
  * Fix typos in pwmconfig (closes: bug#570344).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 24 May 2010 23:11:32 +0200

lm-sensors-3 (1:3.1.2-2) unstable; urgency=low

  * Detect old configuration files in init script (closes: bug#568627).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 07 Feb 2010 21:12:44 +0100

lm-sensors-3 (1:3.1.2-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Standards-version to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 04 Feb 2010 20:15:07 +0100

lm-sensors-3 (1:3.1.1-6) unstable; urgency=low

  * Move fancontrol.txt to the fancontrol package (closes: bug#567181). 
  * Remove old init scripts if they are not modified an upgrading from
    version (<< 1:3.1.1-5). (closes: bug#567183).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Jan 2010 22:11:25 +0100

lm-sensors-3 (1:3.1.1-5) unstable; urgency=low

  * Split-out fancontrol in a separate package (closes: bug#540677).
  * Restart fancontrol in postinst instead of starting it (closes: 
    bug#552197).
  * Don't stop fancontrol in runlevel 0 1 6 (closes: bug#563835).
  * Don't stop sensord in runlevel 1.
  * Ignore failures to set sensors at boot time (closes: bug#566184,
    bug#556361).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Jan 2010 00:00:33 +0100

lm-sensors-3 (1:3.1.1-4) unstable; urgency=low

  * Bumped Standards-version to 3.8.3 (no changes).
  * Drop libsensors4 postinst script and the dependency on makedev | 
    udev. This part has been moved to i2c-tools.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 14 Oct 2009 00:20:17 +0200

lm-sensors-3 (1:3.1.1-3) unstable; urgency=low

  * *.init: depends on $remote_fs instead of $local_fs (closes: 
    bug#541363). 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 13 Aug 2009 20:18:11 +0200

lm-sensors-3 (1:3.1.1-2) unstable; urgency=low

  * Stop managing /etc/sensors3.conf using ucf, as user changes should now

