=== debian/control ===
Source: lm-sensors
Section: utils
Priority: extra
Build-Depends: debhelper (>= 8.1.3), bison, flex, librrd2-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
Standards-Version: 3.9.2
Homepage: http://www.lm-sensors.org

Package: lm-sensors
Architecture: any
Section: utils
Depends: sed (>= 4.0.5-1), lsb-base (>= 3.2-13), ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
Suggests: fancontrol, sensord, read-edid, i2c-tools
Description: utilities to read temperature/voltage/fan sensors
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains programs to help you set up and read data from
 lm-sensors.

Package: libsensors4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: makedev (>= 2.3.1-45) | udev, ${shlibs:Depends}, ${misc:Depends}
Priority: optional
Suggests: lm-sensors
Section: libs
Description: library to read temperature/voltage/fan sensors
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains a shared library for querying lm-sensors.

Package: libsensors4-dev
Architecture: any
Depends: libsensors4 (= ${binary:Version}), ${misc:Depends}
Conflicts: lm-sensors (<< 1:3.1.1-6), libsensors-dev
Section: libdevel
Description: lm-sensors development kit
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains the static library and header files used in
 development.

Package: fancontrol
Architecture: all
Section: utils
Depends: lsb-base (>= 3.2-13), ${misc:Depends}
Conflicts: lm-sensors (<< 1:3.1.1-6)
Replaces: lm-sensors (<< 1:3.1.1-6)
Description: utilities to read temperature/voltage/fan sensors
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains a daemon that calculates fan speeds from temperatures
 and sets the corresponding PWM outputs to the computed values.

Package: sensord
Architecture: any
Section: utils
Depends: lm-sensors, lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Suggests: rrdtool
Description: hardware sensor information logging daemon
 Lm-sensors is a hardware health monitoring package for Linux. It allows you
 to access information from temperature, voltage, and fan speed sensors. It
 works with most newer systems.
 .
 This package contains a daemon that logs hardware health status to the
 system log with optional warnings on potential system problems.
