## lm-sensors 3.3.1

=== debian/changelog ===
lm-sensors (1:3.3.1-2) unstable; urgency=low

  * sensors-detect: restrict super-io probes to x86 and x86_64 (closes:
    #657555).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Jan 2012 10:42:53 +0100

lm-sensors (1:3.3.1-1) unstable; urgency=low

  * New upstream version:
    - Drop 12-upstream-patches.patch.
    - Drop 13-udev-run.patch.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 09 Oct 2011 15:21:24 +0200
