=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: utils
 Priority: extra
 Build-Depends: debhelper (>= 8.1.3), bison, flex, librrd2-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Maintainer: Aurelien Jarno <aurel32@debian.org>
 Standards-Version: 3.9.2
 Homepage: http://www.lm-sensors.org
