## lm-sensors 3.3.2

=== debian/changelog ===
lm-sensors (1:3.3.2-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Disable multiarch by changing LIBDIR, removing Multi-Arch from
      debian/control, and editing debian/libsensors4*.install.
  * Build requires backported debhelper.

 -- Matt Taggart <taggart@debian.org>  Mon, 11 Mar 2013 00:31:46 -0700

lm-sensors (1:3.3.2-2) unstable; urgency=low

  * Tell user to restart kmod instead of modules-init-tools (closes: 
    #670213).
  * Install a systemd service file for lm-sensors (closes: #674778).
  * Correctly pass CPPFLAGS and LDFLAGS to build with hardening support.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jun 2012 16:21:26 +0200

lm-sensors (1:3.3.2-1) unstable; urgency=low

  * New upstream version:
  * Bumped Standards-version to 3.9.3 (no changes).
  * Drop useless dependency on makedev | udev (closes: #666510).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Apr 2012 19:00:39 +0200
