=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Build-Depends: debhelper (>= 8.1.3), bison, flex, librrd2-dev
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.lm-sensors.org
 
 Package: lm-sensors
@@ -21,9 +21,8 @@
 
 Package: libsensors4
 Architecture: any
-Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: makedev (>= 2.3.1-45) | udev, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Priority: optional
 Suggests: lm-sensors
 Section: libs
