## lm-sensors 3.3.3

=== debian/changelog ===
lm-sensors (1:3.3.3-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1178520). Remaining changes:
    - Add 100_recommend_using_upstart.patch: Recommend use of upstart rather
      than init-script.

 -- Matthew Fischer <matthew.fischer@canonical.com>  Thu, 09 May 2013 21:55:15 -0600

lm-sensors (1:3.3.3-1) unstable; urgency=low

  * New upstream version:
    - Don't choke on systems without PCI (closes: #695889).
  * Bumped Standards-version to 3.9.4.0 (no changes).
  * Compress .deb with xz.
  * Add a watch file (closes: #694848).
  * Fix RRD file creation with loadavg (closes: #614965).
  * Backport pwmconfig changes from upstream to fix multiple fan
    control (closes: #695895).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 06 May 2013 23:37:35 +0200

lm-sensors (1:3.3.2-2ubuntu1) raring-proposed; urgency=low

  * Merge from Debian unstable (LP: #1075010). Remaining changes:
    - Add 100_recommend_using_upstart.patch: Recommend use of upstart rather
      than init-script.
  * Update 100_recommend_using_upstart.patch to reflect kmod transition.

 -- Logan Rosen <logatronico@gmail.com>  Mon, 05 Nov 2012 13:18:21 -0500

lm-sensors (1:3.3.1-2ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2012 11:37:42 +0100

lm-sensors (1:3.3.1-2ubuntu1) precise; urgency=low

  * Merge from debian testing, remaining changes are:
    - Add 100_recommend_using_upstart.patch: Recommend use of upstart rather
      than init-script. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Feb 2012 08:53:20 -0500
