=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: utils
 Priority: extra
 Build-Depends: debhelper (>= 8.1.3), bison, flex, librrd2-dev
-Maintainer: Aurelien Jarno <aurel32@debian.org>
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Standards-Version: 3.9.4
 Homepage: http://www.lm-sensors.org
 
 Package: lm-sensors
@@ -21,6 +22,7 @@
 
 Package: libsensors4
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Priority: optional
