=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	# binary programs and librairies
 	$(MAKE) user \
 		PREFIX=/usr \
-		LIBDIR=/usr/lib \
+		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		MANDIR=/usr/share/man \
 		PROG_EXTRA=sensord \
 		CFLAGS="$(CFLAGS)" \
@@ -59,7 +59,7 @@
 	$(MAKE) user_install \
 		DESTDIR=$(CURDIR)/debian/tmp \
 		PREFIX=/usr \
-		LIBDIR=/usr/lib \
+		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		MANDIR=/usr/share/man \
 		PROG_EXTRA=sensord \
 		CFLAGS="$(CFLAGS)" \
@@ -108,7 +108,7 @@
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
-	dh_builddeb -i
+	dh_builddeb -i -- -Zxz
 
 # Build architecture-dependant files that arn't kernel modules here.
 binary-arch: build install
@@ -130,7 +130,7 @@
 	dh_shlibdeps -s
 	dh_gencontrol -s
 	dh_md5sums -s
-	dh_builddeb -s
+	dh_builddeb -s -- -Zxz
 
 binary: binary-arch binary-indep
 .PHONY: clean build install binary-indep binary-arch binary
