## lm-sensors 3.3.4

=== debian/changelog ===
lm-sensors (1:3.3.4-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable (LP: #1256671). Remaining changes:
    - Add 100_recommend_using_upstart.patch: Recommend use of upstart rather
      than init-script.

 -- Matt Fischer <mfisch@ubuntu.com>  Mon, 02 Dec 2013 21:07:32 -0700

lm-sensors (1:3.3.4-2) unstable; urgency=low

  * debian/fancontrol.init: pass the config file location as argument of
    the fancontrol daemon (closes: #720213).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Aug 2013 18:36:05 +0200

lm-sensors (1:3.3.4-1) unstable; urgency=low

  * New upstream version.
  * Use dh-systemd to get proper systemd related maintainer scripts,
    based on a patch from Michael Stapelberg (closes: #714190).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Jun 2013 16:37:48 +0200
