=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lm-sensors
 Section: utils
 Priority: extra
-Build-Depends: debhelper (>= 8.1.3), bison, flex, librrd2-dev
+Build-Depends: debhelper (>= 8.1.3), bison, flex, librrd2-dev, dh-systemd (>= 1.3)
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
 Standards-Version: 3.9.4
